com.buschmais.jqassistant.plugin.java.impl.scanner.visitor

## Class ClassSignatureVisitor

- java.lang.Object
- - org.objectweb.asm.signature.SignatureVisitor
  - - com.buschmais.jqassistant.plugin.java.impl.scanner.visitor.ClassSignatureVisitor

-     public class ClassSignatureVisitor
      extends org.objectweb.asm.signature.SignatureVisitor

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.signature.SignatureVisitor

      `api, EXTENDS, INSTANCEOF, SUPER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ClassSignatureVisitor(TypeCache.CachedType cachedType, VisitorHelper visitorHelper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.objectweb.asm.signature.SignatureVisitor` | `visitClassBound()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitInterface()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitInterfaceBound()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitSuperclass()`
    `org.objectweb.asm.signature.SignatureVisitor` | `visitTypeArgument(char wildcard)`

    - ### Methods inherited from class org.objectweb.asm.signature.SignatureVisitor

      `visitArrayType, visitBaseType, visitClassType, visitEnd, visitExceptionType, visitFormalTypeParameter, visitInnerClassType, visitParameterType, visitReturnType, visitTypeArgument, visitTypeVariable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassSignatureVisitor

          protected ClassSignatureVisitor(TypeCache.CachedType cachedType,
                                          VisitorHelper visitorHelper)

  - ### Method Detail

    - #### visitClassBound

          public org.objectweb.asm.signature.SignatureVisitor visitClassBound()

      Overrides:
        `visitClassBound` in class `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitInterfaceBound

          public org.objectweb.asm.signature.SignatureVisitor visitInterfaceBound()

      Overrides:
        `visitInterfaceBound` in class `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitSuperclass

          public org.objectweb.asm.signature.SignatureVisitor visitSuperclass()

      Overrides:
        `visitSuperclass` in class `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitInterface

          public org.objectweb.asm.signature.SignatureVisitor visitInterface()

      Overrides:
        `visitInterface` in class `org.objectweb.asm.signature.SignatureVisitor`

    - #### visitTypeArgument

          public org.objectweb.asm.signature.SignatureVisitor visitTypeArgument(char wildcard)

      Overrides:
        `visitTypeArgument` in class `org.objectweb.asm.signature.SignatureVisitor`

Copyright © 2015 buschmais GbR. All rights reserved.